1

zlib error on gem install rails after rvm version switch

view story
linux-howto

http://serverfault.com – (Debian squeeze) rvm version: 1.10.0 I have just installed ruby 1.9.2-p290 using "rvm install 1.9.2" and made it default. However, I am getting this error when trying to install rails using rubygems. "gem install rails" worked fine on my system ruby installation. root:/usr/bin# rvm list rvm rubies => ruby-1.9.2-p290 [ i686 ] root:/usr/bin# rvm current ruby-1.9.2-p290 root:/usr/bin# gem list * LOCAL GEMS * root:/usr/bin# gem install rails ERROR: Loading command: install (LoadError) no such file to load -- zlib ERROR: While executing gem ... (NameErro (HowTos)